> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 返信を非表示にする

> あなたが作成したポストへの返信を非表示および再表示する

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Hide Replies エンドポイントを使用すると、認証済みユーザーが作成したポストへの返信を非表示にしたり、再表示したりできます。非表示にされた返信には引き続きアクセスできますが、表示するには追加のクリックが必要です。

<div id="overview">
  ## 概要
</div>

<CardGroup cols={2}>
  <Card title="返信を非表示" icon="eye-slash">
    ポストへの返信を非表示にします
  </Card>

  <Card title="返信の再表示" icon="eye">
    非表示にした返信を再表示します
  </Card>

  <Card title="会話の管理" icon="comments">
    自分の投稿の会話を管理します
  </Card>
</CardGroup>

***

<div id="endpoint">
  ## エンドポイント
</div>

| メソッド | エンドポイント                                                    | 説明               |
| :--- | :--------------------------------------------------------- | :--------------- |
| PUT  | [`/2/tweets/:tweet_id/hidden`](/ja/x-api/posts/hide-reply) | 返信を非表示または非表示解除する |

***

<div id="how-it-works">
  ## 動作の仕組み
</div>

`hidden: true` を指定した PUT リクエストを送信すると返信が非表示になり、`hidden: false` を指定すると再表示されます。

```json theme={null}
{
  "hidden": true
}
```

***

<div id="example-hide-a-reply">
  ## 例：返信を非表示にする
</div>

```bash theme={null}
curl -X PUT "https://api.x.com/2/tweets/1234567890/hidden" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"hidden": true}'
```

<div id="example-response">
  ## レスポンスの例
</div>

```json theme={null}
{
  "data": {
    "hidden": true
  }
}
```

***

<div id="getting-started">
  ## はじめに
</div>

<Note>
  **前提条件**

  * 承認済みの [開発者アカウント](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 開発者コンソール内の [Project と App](/ja/resources/fundamentals/developer-apps)
  * [OAuth 2.0 PKCE](/ja/resources/fundamentals/authentication#oauth-2-0-authorization-code-flow-with-pkce-2) によるユーザーアクセス・トークン
</Note>

<CardGroup cols={2}>
  <Card title="クイックスタート" icon="rocket" href="/ja/x-api/posts/hide-replies/quickstart">
    最初の返信を非表示にする
  </Card>

  <Card title="APIリファレンス" icon="code" href="/ja/x-api/posts/hide-replies">
    エンドポイントの詳細ドキュメント
  </Card>
</CardGroup>
